Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
A gui for the computer algebra system Maxima built with wxWidgets
C++ Common Lisp Other

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
art
data
debian
locales
src
ABOUT-NLS
AUTHORS
COPYING
ChangeLog
INSTALL
Makefile.am
NEWS
README
bootstrap
configure.in
wxmaxima.desktop
wxmaxima.spec.in

README

WXMAXIMA
=========

wxMaxima is an interface for the computer algebra system maxima. For
more information about maxima, go to

  http://maxima.sourceforge.net/

wxMaxima can be found at

  http://wxmaxima.sourceforge.net/

wxMaxima uses wxWidgets and runs natively on Linux and Windows. It
provides nicely formatted display of maxima output.



LICENCE
========

wxMaxima is licenced under GPL. See the file COPYING.



INSTALLATION
=============


BINARY INSTALLATION
--------------------

Binaries for Windows are provided at wxMaxima homepage.

Windows binaries come with an installer. You should install wxMaxima
in a subdirectory of maxima installation directory (see section
CONFIGURATION). Binaries for some Linux distributions are contributed
by wxMaxima users and are available from the download section of
wxMaxima homepage.


SOURCE INSTALLATION
--------------------

** Linux

Download and install wxWidgets library from

  http://www.wxwidgets.org/

Go to the source directory and do

  ./configure
  make
  make install


** Windows

I build the windows binaries using Dev-CPP. Dev-CPP can be downloaded
from

  http://www.bloodshed.net

You will also need to install the wxWidgets devpack (and its
dependencies), which can also be found at the web-page. In Dev-CPP
create a new wxWidgets project and import all the sources of wxMaxima.

** Mac OS X

Support for Mac OS X is experimental. To build wxMaxima first make
sure you have wxWidgets (it is possible that the static build is
required) installed on your system. Then build wxMaxima with

  ./configure --with-wx-config=<path to your wx-config>
  make
  make wxMaxima.app

This should create a working wxMaxima.app. This has been tested with
wxWidgets version 2.8.7.

wxMaxima has been tested with maxima compiled with cmucl. If you use a
different lisp and wxMaxima does not work, recompile maxima using
cmucl.

** Building from SVN (Linux)

To build wxMaxima from SVN, first checkout the SVN tree. For details
see

  http://sourceforge.net/svn/?group_id=126731

Then build wxMaxima with

  ./bootstrap
  ./configure
  make
  cd locales
  make allmo
  cd ..
  make install



CONFIGURATION
==============


** Linux

wxMaxima does not need any configuration if maxima is in your path. If
not, configure wxMaxima with Maxima->Configure.

** Windows

To automatically configure wxMaxima, wxMaxima must be installed in a
subdirectory of maxima installation directory. For example:

  maxima installation:   C:\Program Files\maxima-5.17.0
  wxMaxima installation: C:\Program Files\maxima-5.17.0\wxMaxima

If you install in some other directory, you must configure wxMaxima
with Maxima->Configure.



PRINTING
=========


** Linux

The default Postscript driver used for printing on Linux can not print
wxMaxima session properly (it has problems in finding out how much
space is needed to print a string).

Starting with version 2.5.4 wxGTK can be compiled with support for
libgnomeprint (and libgnomeprintui) which has much better support for
printing. Using this driver, wxMaxima can print correctly. So printing
on Linux is only available if wxGTK has been compiled with support for
libgnomeprint and libgnomeprint is found when wxMaxima is started.



UPDATING
=========


** Linux

When you update maxima or wxMaxima, you should delete the file
.wxMaxima in your home directory.

** Windows

To update maxima or wxMaxima, you should:
 - uninstall wxMaxima
 - uninstall maxima (if updating maxima)
 - install maxima   (if updating maxima)
 - install wxMaxima (in a subdirectory of maxima, see section CONFIGURATION)

Something went wrong with that request. Please try again.